﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace DotNettyFrom.util
{
    public class CmdUtil
    {
        public static string FilterCmd(string msg)
        {
            Regex reg = new Regex(@"\[\w+\]"); //注意里面的引号 要用双引号表示，而不是用反斜
            Match match = reg.Match(msg);
            string its = match.ToString();
            its = its.Replace("[", "").Replace("]", "");
            return its;
        }

        public static string GenetorCcid()
        {
            Random random = new Random();

            int[] ccids = new int[20];

            ccids[0] = random.Next(31, 40);
            for (int i = 1; i < ccids.Length; i++)
            {
                ccids[i] = random.Next(30, 40);
            }

            return string.Join("", ccids);
        }


        public static string FrontWithZero(string str, int len)
        {
            int delta = len - str.Length;
            string sb = "";
            for (int i = 0; i < delta; i++)
            {
                sb += "0";
            }
            return sb + str;
        }

        public static string Dec2Hex(int dec)
        {
            return Convert.ToString(dec, 16);
        }


        public static int Hex2Dec(string hex)
        {
            return int.Parse(hex, NumberStyles.HexNumber);
        }

        public static string HexToBin(string hex)
        {
            int res = Hex2Dec(hex);
            return FrontWithZero(Convert.ToString(res, 2), 8);
        }
    }
}